Index: cpukit/include/rtems/confdefs.h
===================================================================
--- cpukit/include/rtems/confdefs.h	(revision e94b73f34583b08198ad212c4b8d987b3107a53e)
+++ cpukit/include/rtems/confdefs.h	(revision ff081aee72436131cf11e3a35f96a6405c3a4d78)
@@ -1177,14 +1177,14 @@
 #ifdef CONFIGURE_INIT
   RTEMS_DEFINE_GLOBAL_SYMBOL(
-    _Configuration_Interrupt_stack_size,
+    _ISR_Stack_size,
     CONFIGURE_INTERRUPT_STACK_SIZE
   );
 
-  char _Configuration_Interrupt_stack_area_begin[
+  char _ISR_Stack_area_begin[
     _CONFIGURE_MAXIMUM_PROCESSORS * CONFIGURE_INTERRUPT_STACK_SIZE
   ] RTEMS_ALIGNED( CPU_INTERRUPT_STACK_ALIGNMENT )
   RTEMS_SECTION( ".rtemsstack.interrupt.begin" );
 
-  const char _Configuration_Interrupt_stack_area_end[ 0 ]
+  const char _ISR_Stack_area_end[ 0 ]
     RTEMS_SECTION( ".rtemsstack.interrupt.end" ) = { };
 #endif
Index: cpukit/include/rtems/config.h
===================================================================
--- cpukit/include/rtems/config.h	(revision e94b73f34583b08198ad212c4b8d987b3107a53e)
+++ cpukit/include/rtems/config.h	(revision ff081aee72436131cf11e3a35f96a6405c3a4d78)
@@ -33,4 +33,5 @@
 
 #include <rtems/score/object.h>
+#include <rtems/score/isr.h>
 #include <rtems/score/watchdog.h>
 #include <rtems/rtems/config.h>
@@ -295,32 +296,6 @@
         (Configuration.idle_task_stack_size)
 
-/**
- * @brief Global symbol with a value equal to the configure interrupt stack size.
- *
- * This global symbol is defined by the application configuration option
- * CONFIGURE_INIT_TASK_STACK_SIZE via <rtems/confdefs.h>.
- */
-RTEMS_DECLARE_GLOBAL_SYMBOL( _Configuration_Interrupt_stack_size );
-
-/**
- * @brief The interrupt stack area begin.
- *
- * The interrupt stack area is defined by the application configuration via
- * <rtems/confdefs.h>.  The size of the area depends on
- * CONFIGURE_INIT_TASK_STACK_SIZE and CONFIGURE_MAXIMUM_PROCESSORS.
- */
-extern char _Configuration_Interrupt_stack_area_begin[];
-
-/**
- * @brief The interrupt stack area end.
- *
- * The interrupt stack area is defined by the application configuration via
- * <rtems/confdefs.h>.  The size of the area depends on
- * CONFIGURE_INIT_TASK_STACK_SIZE and CONFIGURE_MAXIMUM_PROCESSORS.
- */
-extern const char _Configuration_Interrupt_stack_area_end[];
-
 #define rtems_configuration_get_interrupt_stack_size() \
-        ((size_t) _Configuration_Interrupt_stack_size)
+        ((size_t) _ISR_Stack_size)
 
 #define rtems_configuration_get_stack_allocate_init_hook() \
Index: cpukit/include/rtems/score/isr.h
===================================================================
--- cpukit/include/rtems/score/isr.h	(revision e94b73f34583b08198ad212c4b8d987b3107a53e)
+++ cpukit/include/rtems/score/isr.h	(revision ff081aee72436131cf11e3a35f96a6405c3a4d78)
@@ -78,4 +78,30 @@
 
 /**
+ * @brief Global symbol with a value equal to the configure interrupt stack size.
+ *
+ * This global symbol is defined by the application configuration option
+ * CONFIGURE_INIT_TASK_STACK_SIZE via <rtems/confdefs.h>.
+ */
+RTEMS_DECLARE_GLOBAL_SYMBOL( _ISR_Stack_size );
+
+/**
+ * @brief The interrupt stack area begin.
+ *
+ * The interrupt stack area is defined by the application configuration via
+ * <rtems/confdefs.h>.  The size of the area depends on
+ * CONFIGURE_INIT_TASK_STACK_SIZE and CONFIGURE_MAXIMUM_PROCESSORS.
+ */
+extern char _ISR_Stack_area_begin[];
+
+/**
+ * @brief The interrupt stack area end.
+ *
+ * The interrupt stack area is defined by the application configuration via
+ * <rtems/confdefs.h>.  The size of the area depends on
+ * CONFIGURE_INIT_TASK_STACK_SIZE and CONFIGURE_MAXIMUM_PROCESSORS.
+ */
+extern const char _ISR_Stack_area_end[];
+
+/**
  *  @brief Initialize the ISR handler.
  *
Index: cpukit/libmisc/stackchk/check.c
===================================================================
--- cpukit/libmisc/stackchk/check.c	(revision e94b73f34583b08198ad212c4b8d987b3107a53e)
+++ cpukit/libmisc/stackchk/check.c	(revision ff081aee72436131cf11e3a35f96a6405c3a4d78)
@@ -503,5 +503,5 @@
 
   stack.size = rtems_configuration_get_interrupt_stack_size();
-  stack.area = _Configuration_Interrupt_stack_area_begin;
+  stack.area = _ISR_Stack_area_begin;
   cpu_max = rtems_configuration_get_maximum_processors();
 
Index: cpukit/score/cpu/m68k/cpu.c
===================================================================
--- cpukit/score/cpu/m68k/cpu.c	(revision e94b73f34583b08198ad212c4b8d987b3107a53e)
+++ cpukit/score/cpu/m68k/cpu.c	(revision ff081aee72436131cf11e3a35f96a6405c3a4d78)
@@ -63,5 +63,5 @@
 {
 #if ( M68K_HAS_SEPARATE_STACKS == 1 )
-  uintptr_t isp = (uintptr_t) _Configuration_Interrupt_stack_area_end;
+  uintptr_t isp = (uintptr_t) _ISR_Stack_area_end;
 
   __asm__ volatile ( "movec %0,%%isp" : "=r" (isp) : "0" (isp) );
Index: cpukit/score/src/isr.c
===================================================================
--- cpukit/score/src/isr.c	(revision e94b73f34583b08198ad212c4b8d987b3107a53e)
+++ cpukit/score/src/isr.c	(revision ff081aee72436131cf11e3a35f96a6405c3a4d78)
@@ -49,5 +49,5 @@
   stack_size = rtems_configuration_get_interrupt_stack_size();
   cpu_max = rtems_configuration_get_maximum_processors();
-  stack_low = _Configuration_Interrupt_stack_area_begin;
+  stack_low = _ISR_Stack_area_begin;
 
   for ( cpu_index = 0 ; cpu_index < cpu_max; ++cpu_index ) {
